<html>
<head>
<title>OgreView Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">OgreView Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="OgreView" -->
<p><code>#import &lt;<a class="el" href="OgreOSXCocoaTouchView_8h_source.html">OgreOSXCocoaTouchView.h</a>&gt;</code></p>

<p><a href="classOgreView-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">(id)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interfaceOgreView.html#a742f4db9b77c4037a8d6ac1b8bde4cff">initWithFrame:</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">(id)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interfaceOgreView.html#a9684767599bad5ec3e9717c0f2e00948">initWithGLiPhoneWindow:</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interfaceOgreView.html#ae35c09558b4b5334f7db17db3172c11a">setOgreWindow:</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">(<a class="el" href="classOgre_1_1RenderWindow.html">Ogre::RenderWindow</a> *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interfaceOgreView.html#a57099b89075c567fb6c5306acbbd9466">ogreWindow</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interfaceOgreView.html#a0818dad265cc154f8789079868c73342">setFrameSize:</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">(id)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interfaceOgreView.html#a4929dae4e433a97195dd35dd83e21431">initWithFrame:</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">(id)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interfaceOgreView.html#a9eb6b3f0971c55095ea0ff439a9ac5ca">initWithGLOSXWindow:</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interfaceOgreView.html#ae35c09558b4b5334f7db17db3172c11a">setOgreWindow:</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">(<a class="el" href="classOgre_1_1RenderWindow.html">Ogre::RenderWindow</a> *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interfaceOgreView.html#a57099b89075c567fb6c5306acbbd9466">ogreWindow</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interfaceOgreView.html#a8ff0bcff5fb7853da68195793d4f921d">setFrameSize:</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderWindow.html">Ogre::RenderWindow</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceOgreView.html#a905653141822492c5a8cdeddaa7d9af8">window</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreOSXCocoaTouchView_8h_source.html#l00035">35</a> of file <a class="el" href="OgreOSXCocoaTouchView_8h_source.html">OgreOSXCocoaTouchView.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a742f4db9b77c4037a8d6ac1b8bde4cff"></a><!-- doxytag: member="OgreView::initWithFrame:" ref="a742f4db9b77c4037a8d6ac1b8bde4cff" args="(CGRect f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (id) <a class="el" href="interfaceOgreView.html#a742f4db9b77c4037a8d6ac1b8bde4cff">initWithFrame:</a> </td>
          <td></td>
          <td class="paramtype">(CGRect)&#160;</td>
          <td class="paramname"><em>f</em></td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a4929dae4e433a97195dd35dd83e21431"></a><!-- doxytag: member="OgreView::initWithFrame:" ref="a4929dae4e433a97195dd35dd83e21431" args="(NSRect f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (id) <a class="el" href="interfaceOgreView.html#a742f4db9b77c4037a8d6ac1b8bde4cff">initWithFrame:</a> </td>
          <td></td>
          <td class="paramtype">(NSRect)&#160;</td>
          <td class="paramname"><em>f</em></td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9684767599bad5ec3e9717c0f2e00948"></a><!-- doxytag: member="OgreView::initWithGLiPhoneWindow:" ref="a9684767599bad5ec3e9717c0f2e00948" args="(Ogre::RenderWindow *w)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (id) <a class="el" href="interfaceOgreView.html#a9684767599bad5ec3e9717c0f2e00948">initWithGLiPhoneWindow:</a> </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="classOgre_1_1RenderWindow.html">Ogre::RenderWindow</a> *)&#160;</td>
          <td class="paramname"><em>w</em></td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9eb6b3f0971c55095ea0ff439a9ac5ca"></a><!-- doxytag: member="OgreView::initWithGLOSXWindow:" ref="a9eb6b3f0971c55095ea0ff439a9ac5ca" args="(Ogre::RenderWindow *w)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (id) <a class="el" href="interfaceOgreView.html#a9eb6b3f0971c55095ea0ff439a9ac5ca">initWithGLOSXWindow:</a> </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="classOgre_1_1RenderWindow.html">Ogre::RenderWindow</a> *)&#160;</td>
          <td class="paramname"><em>w</em></td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a57099b89075c567fb6c5306acbbd9466"></a><!-- doxytag: member="OgreView::ogreWindow" ref="a57099b89075c567fb6c5306acbbd9466" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- Ogre: </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a57099b89075c567fb6c5306acbbd9466"></a><!-- doxytag: member="OgreView::ogreWindow" ref="a57099b89075c567fb6c5306acbbd9466" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- Ogre: </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a0818dad265cc154f8789079868c73342"></a><!-- doxytag: member="OgreView::setFrameSize:" ref="a0818dad265cc154f8789079868c73342" args="(CGSize s)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) <a class="el" href="interfaceOgreView.html#a0818dad265cc154f8789079868c73342">setFrameSize:</a> </td>
          <td></td>
          <td class="paramtype">(CGSize)&#160;</td>
          <td class="paramname"><em>s</em></td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8ff0bcff5fb7853da68195793d4f921d"></a><!-- doxytag: member="OgreView::setFrameSize:" ref="a8ff0bcff5fb7853da68195793d4f921d" args="(NSSize s)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) <a class="el" href="interfaceOgreView.html#a0818dad265cc154f8789079868c73342">setFrameSize:</a> </td>
          <td></td>
          <td class="paramtype">(NSSize)&#160;</td>
          <td class="paramname"><em>s</em></td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae35c09558b4b5334f7db17db3172c11a"></a><!-- doxytag: member="OgreView::setOgreWindow:" ref="ae35c09558b4b5334f7db17db3172c11a" args="(Ogre::RenderWindow *w)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) <a class="el" href="interfaceOgreView.html#ae35c09558b4b5334f7db17db3172c11a">setOgreWindow:</a> </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="classOgre_1_1RenderWindow.html">Ogre::RenderWindow</a> *)&#160;</td>
          <td class="paramname"><em>w</em></td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae35c09558b4b5334f7db17db3172c11a"></a><!-- doxytag: member="OgreView::setOgreWindow:" ref="ae35c09558b4b5334f7db17db3172c11a" args="(Ogre::RenderWindow *w)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) <a class="el" href="interfaceOgreView.html#ae35c09558b4b5334f7db17db3172c11a">setOgreWindow:</a> </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="classOgre_1_1RenderWindow.html">Ogre::RenderWindow</a> *)&#160;</td>
          <td class="paramname"><em>w</em></td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a905653141822492c5a8cdeddaa7d9af8"></a><!-- doxytag: member="OgreView::window" ref="a905653141822492c5a8cdeddaa7d9af8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- Ogre:<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOSXCocoaTouchView_8h_source.html#l00037">37</a> of file <a class="el" href="OgreOSXCocoaTouchView_8h_source.html">OgreOSXCocoaTouchView.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="OgreOSXCocoaTouchView_8h_source.html">OgreOSXCocoaTouchView.h</a></li>
<li><a class="el" href="OgreOSXCocoaView_8h_source.html">OgreOSXCocoaView.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
